http:
  routers:
    dashboard-admin:
      rule: "Host(`pos.hsgold.id`)"
      entrypoints: "websecure"
      middlewares:
        - cors
        - http-to-https
          #        - ipwhitelist
      service: dashboard-admin
      tls:
        certResolver: main-domain        
    apiservice:
      rule: "Host(`api.hsgold.id`)"
      entrypoints: "websecure"
      middlewares:
        - cors
        - http-to-https
          #        - ipwhitelist
      service: apiservice
      tls:
        certResolver: main-domain        
    vpn:
      rule: "Host(`vpn.hsgold.id`)"
      entrypoints: "websecure"
      middlewares:
        - http-to-https
      service: vpn
      tls:
        certResolver: main-domain       
    trace:
      rule: "Host(`trace.hsgold.id`)"
      entrypoints: "websecure"
      middlewares:
        - http-to-https
        - basic-auth
      service: trace
      tls:
        certResolver: main-domain        
    phppgadmin:
      rule: "Host(`phppgadmin.hsgold.id`)"
      entrypoints: "websecure"
      middlewares:
        - http-to-https
      service: phppgadmin
      tls:
        certResolver: main-domain        
    dozzle:
      rule: "Host(`dozzle.hsgold.id`)"
      entrypoints: "websecure"
      middlewares:
        - http-to-https
      service: dozzle
      tls:
        certResolver: main-domain        
  middlewares:
    http-to-https:
      redirectScheme:
        scheme: https
        permanent: true
    ipwhitelist:
      ipWhiteList:
        sourceRange:
           - 172.19.0.0/24       
    basic-auth: 
      basicAuth:
        users: 
          - "developer:$apr1$Zj/r7CZa$sIC13WumDJMlzQ2ohZcH91"
    cors:
      headers:
        accessControlAllowMethods: "*"
        accessControlAllowOriginList: "*"
        accesscontrolExposeHeaders: "*"
        accesscontrolAllowHeaders: "*"
        accessControlMaxAge: 100
        addVaryHeader: true
  services:
    dashboard-admin:
      loadbalancer:
        servers:
        - url: http://dashboard-admin:80
    apiservice:
      loadbalancer:
        servers:
        - url: http://apiservice:8000
    vpn:
      loadbalancer:
        servers:
          - url: http://wg-easy:51821
    dozzle:
      loadbalancer:
        servers:
          - url: http://dozzle:8080
    phppgadmin:
      loadbalancer:
        servers:
          - url: http://phppgadmin:8080 
    trace:
      loadbalancer:
        servers:
          - url: http://jaeger-aio:16686 
